<?php
class formAdminDebug extends cmsForm {

    public function init() {

        return array(

            array(
                'type' => 'fieldset',
                'childs' => array(

                    new fieldCheckbox('debug_on', array(
                        'title' => LANG_CP_DEBUG_ON,
                    )),                            

                    new fieldCheckbox('debug_admin_only', array(
                        'title' => LANG_CP_DEBUG_ADMIN_ONLY,
                    )),                            

                )

            ),

            array(
                'type' => 'fieldset',
                'childs' => array(

                    new fieldCheckbox('debug_on_point', array(
                        'title' => LANG_CP_DEBUG_ON_POINT,
                    )),                            

                    new fieldList('trace_level_point', array(
                        'title' => LANG_CP_DEBUG_TRACE_LEVEL_POINT,
                        'generator' => function($item) {
                            $items = array();
														for ($i=0; $i<=20; $i++) {
																$items[$i] = $i;
														}
                            return $items;
                        }
                    )),

                )

            ),

            array(
                'type' => 'fieldset',
                'childs' => array(

                    new fieldCheckbox('debug_on_sql', array(
                        'title' => LANG_CP_DEBUG_ON_SQL,
                    )),                            

                    new fieldString('filter_query_sql', array(
                        'title' => LANG_CP_DEBUG_FILTER_QUERY_SQL,
                    )),

                    new fieldString('filter_query_from', array(
                        'title' => LANG_CP_DEBUG_FILTER_QUERY_FROM,
                    )),

                    new fieldList('trace_level_sql', array(
                        'title' => LANG_CP_DEBUG_TRACE_LEVEL_SQL,
                        'generator' => function($item) {
                            $items = array();
														for ($i=0; $i<=20; $i++) {
																$items[$i] = $i;
														}
                            return $items;
                        }
                    )),

                )

            ),

            array(
                'type' => 'fieldset',
                'childs' => array(

                    new fieldCheckbox('debug_on_auto', array(
                        'title' => LANG_CP_DEBUG_ON_AUTO,
                    )),                            

                    new fieldList('trace_level_auto', array(
                        'title' => LANG_CP_DEBUG_TRACE_LEVEL_AUTO,
                        'generator' => function($item) {
                            $items = array();
														for ($i=0; $i<=20; $i++) {
																$items[$i] = $i;
														}
                            return $items;
                        }
                    )),

                )

            ),

            array(
                'type' => 'fieldset',
                'childs' => array(

                    new fieldCheckbox('debug_on_include', array(
                        'title' => LANG_CP_DEBUG_ON_INCLUDE,
                    )),                            

                    new fieldCheckbox('includes_table_error', array(
                        'title' => LANG_CP_DEBUG_INCLUDES_TABLE_ERROR,
                    )),                            

                    new fieldString('filter_include_file', array(
                        'title' => LANG_CP_DEBUG_FILTER_INCLUDE_FILE,
                    )),

                    new fieldString('filter_include_from', array(
                        'title' => LANG_CP_DEBUG_FILTER_INCLUDE_FROM,
                    )),

                    new fieldList('trace_level_include', array(
                        'title' => LANG_CP_DEBUG_TRACE_LEVEL_INCLUDE,
                        'generator' => function($item) {
                            $items = array();
														for ($i=0; $i<=20; $i++) {
																$items[$i] = $i;
														}
                            return $items;
                        }
                    )),

                )

            ),

            array(
                'type' => 'fieldset',
                'childs' => array(

                    new fieldCheckbox('debug_on_cache', array(
                        'title' => LANG_CP_DEBUG_ON_CACHE,
                    )),                            

                    new fieldList('trace_level_cache', array(
                        'title' => LANG_CP_DEBUG_TRACE_LEVEL_CACHE,
                        'generator' => function($item) {
                            $items = array();
														for ($i=0; $i<=20; $i++) {
																$items[$i] = $i;
														}
                            return $items;
                        }
                    )),

                )

            ),

            array(
                'type' => 'fieldset',
                'childs' => array(

                    new fieldCheckbox('memory_real_usage', array(
                        'title' => LANG_CP_DEBUG_MEMORY_REAL_USAGE,
                    )),                            

                    new fieldNumber('emulate_lag', array(
                        'title' => LANG_CP_DEBUG_EMULATE_LAG,
                    )),

                )
            ),

        );

    }


}
